# Ice::NotRegisteredException

## Overview

### local exception NotRegisteredException

An attempt was made to find or deregister something that is not registered with the Ice run time or Ice locator. This exception is raised if an attempt is made to remove a servant, facet, object factory, plug-in, object adapter, object, or user exception factory that is not currently registered. It's also raised if the Ice locator can't find an object or object adapter when resolving an indirect proxy or when an object adapter is activated.

## Data Members

string kindOfObject;

  The kind of object that could not be removed: "servant", "facet", "object factory", "plug-in", "object adapter", "object", or "user exception factory".

string id;

  The ID (or name) of the object that could not be removed.